# FailedOperation
`toloka.client.exceptions.FailedOperation` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/exceptions.py#L38)

```python
FailedOperation(self, *, operation: Optional[Any] = None)
```

Raised when an operation failed.


Could be raised when an inner operation failed.

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`operation`|**Optional\[Any\]**|<p>Instance of failed operation.</p>
